Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Lolu chungechunge lwabekwa kunqolobane. Uyacelwa ubuze umbuzo omusha uma udinga usizo.

Can I run Firefox 4 on my eMac running 10.5.8 (G4 processor with a Gig of memory)? "Recommendation" is for an Intel chip.

  • 1 baphendule
  • 2 zinale nkinga
  • 48 views
  • Igcine ukuphendulwa ngu the-edmeister

more options

So far, only one site (AT&T) has said they no longer support 3.6.24.

Isisombululo esikhethiwe

Firefox 4+ versions aren't compatible with Power PC Macs.

For older Macs that aren't supported in Firefox 4+ versions, try TenFourFox for PowerPC's running Mac 10.4.11 & 10.5.8 .
http://www.floodgap.com/software/tenfourfox/
http://tenfourfox.blogspot.com/


Very foolish of AT&T to not support Firefox 3.6.24 any longer, as it is still supported by Mozilla and probably will be until spring 2o12.

Funda le mpendulo ngokuhambisana nalesi sihloko 👍 2

All Replies (1)

more options

Isisombululo Esikhethiwe

Firefox 4+ versions aren't compatible with Power PC Macs.

For older Macs that aren't supported in Firefox 4+ versions, try TenFourFox for PowerPC's running Mac 10.4.11 & 10.5.8 .
http://www.floodgap.com/software/tenfourfox/
http://tenfourfox.blogspot.com/


Very foolish of AT&T to not support Firefox 3.6.24 any longer, as it is still supported by Mozilla and probably will be until spring 2o12.